Bug Hunting Session
Bug 77881 - FILESAVE: Bullets are lost when saving in OOxml (.pptx or .ppsx)
Summary: FILESAVE: Bullets are lost when saving in OOxml (.pptx or .ppsx)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.3 target:4.4.7
Keywords:
: 76909 79678 89270 89525 91587 91844 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-04-24 09:12 UTC by vulcain
Modified: 2016-10-25 19:21 UTC (History)
14 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file with bullet (12.65 KB, application/vnd.oasis.opendocument.presentation)
2014-04-24 09:12 UTC, vulcain
Details
Screencast for ODP file (99.52 KB, image/png)
2014-04-24 09:18 UTC, vulcain
Details
Screencast for ppt format (98.57 KB, image/png)
2014-04-24 09:20 UTC, vulcain
Details
Test.odp after a conversion in ppt format (73.50 KB, application/vnd.ms-powerpoint)
2014-04-24 09:21 UTC, vulcain
Details
Screencast for pptX format (99.12 KB, image/png)
2014-04-24 09:25 UTC, vulcain
Details
Test.odp after a conversion in pptX format (33.02 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2014-04-24 09:28 UTC, vulcain
Details
Screenshot with LibreOffice 3.3.0 (99.32 KB, image/png)
2014-05-08 10:50 UTC, vulcain
Details
The test file as PPTX after saving using LO 4.3.3.1 (32.75 KB, application/zip)
2014-10-25 19:55 UTC, Jouni Järvinen
Details
ODP file correctly converted PPTX by PowerPoint (42.03 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-04-18 08:22 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vulcain 2014-04-24 09:12:51 UTC
Created attachment 97884 [details]
Test file with bullet

We lost the bullet when we save in OOxml (in pptx or ppsx) and no when save in .ppt

Steps:
1) Open Test.odp (from Moztrap test)
2) Save it in OOxml format (File -> Save as, choose Micrsoft Power Point 2007/2010/2013 XML (.pptx). We have Test.pptx
3) Close Libreoffice
4) Launch LibreOffice
5) Open Test.pptx

Result: Bullet lost

Expected: have the bullet (when we save in pptx, the bullet is keeping)

Reproduce on Ubuntu 12.04.4 x86_64 in LibreOffice 4.2.4.1
Build ID: d4c441391e20647b3d2e8dde4d20aa868e77e515
Comment 1 vulcain 2014-04-24 09:18:17 UTC
Created attachment 97885 [details]
Screencast for ODP file

No problem: reference
Comment 2 vulcain 2014-04-24 09:20:16 UTC
Created attachment 97886 [details]
Screencast for ppt format

Good conversion in ppt: bullet is keeping
Comment 3 vulcain 2014-04-24 09:21:10 UTC
Created attachment 97887 [details]
Test.odp after a conversion in ppt format

Good conversion: bullet is keeping
Comment 4 vulcain 2014-04-24 09:25:01 UTC
Created attachment 97888 [details]
Screencast for pptX format

Problem: the bullets lost during vonversion ODP to PPTX
Comment 5 vulcain 2014-04-24 09:28:57 UTC
Created attachment 97889 [details]
Test.odp after a conversion in pptX format

The problem: the conversion ODP to PPTX lost the bullet

Expected: have the same result as the conversion ODP to ppt format
Comment 6 tommy27 2014-04-24 10:07:17 UTC
reproducible on LibO 4.2.3.3 under Win7x64
Comment 7 tommy27 2014-04-24 10:15:22 UTC
*** Bug 76909 has been marked as a duplicate of this bug. ***
Comment 8 tommy27 2014-04-24 10:15:54 UTC
reproducible on 4.1.5.3 as well
Comment 9 vulcain 2014-04-24 10:45:38 UTC
> 
> Expected: have the bullet (when we save in pptx, the bullet is keeping)


Erratum: We must read Expected: have the bullet (when we save in ppt, the bullet is keeping)
Comment 10 tommy27 2014-04-24 12:06:40 UTC
retested with older releases up to 3.3.3 
very similar issue with bullets and pptx format
Comment 11 vulcain 2014-04-24 12:17:51 UTC
May be older than LibreOffice 3.3, i found a similar bug in Apache OpenOffice:

[From Symphony]the bullet display incorrectly after saving a pptx to ppt file. https://issues.apache.org/ooo/show_bug.cgi?id=119456
Comment 12 tommy27 2014-04-24 14:51:20 UTC
@vulcain
please do not mess version number field.
it should always indicate the older releases where a bug has been confirmed, in this case 3.3.3. It's also quite likely that the issue was already present in first LibO release ever or even inherited from OOo but I've no such versions to test right now.
Comment 13 Julien Nabet 2014-04-26 06:49:12 UTC
On pc Debian x86-64 with master sources updated today, I can reproduce this.
Now I don't know if the problem is during export in pptx (with oox/source/export/drawingml.cxx) or during import.
(Indeed, I don't reproduce this for ppt) 

Miklos: one for you?
Comment 14 vulcain 2014-05-08 10:50:23 UTC
Created attachment 98677 [details]
Screenshot with LibreOffice 3.3.0

I confirm this bug is in LibreOffice 3.3.0 OOO330m19 (Build:6) tag libreoffice-3.3.0.4

The bug of the size, that you could see in screenshot, was fixed in Bug 73627 in LibreOffice 4.2.4.1
Comment 15 vulcain 2014-05-08 11:06:39 UTC
It's not a legacy of OpenOffice.org 3.3.0 which could not save in pptx
Apache OpenOffice 3.4 could not save in pptx, too
Comment 16 vulcain 2014-05-23 13:01:40 UTC
Still here in  LibreOffice 4.3.0.0.beta1 Build ID: 2e39c7e59c8fc8b16a54c3d981dceef27fb0c07f
Comment 17 vulcain 2014-06-02 20:24:52 UTC
Bug still here in LibreOffice 4.2.5.1 Build ID: 881bb88abfe2992c6cede97c23e64a9885de87de  on Ubuntu 12.04 x86_64
Comment 18 ign_christian 2014-06-15 15:10:07 UTC
*** Bug 79678 has been marked as a duplicate of this bug. ***
Comment 19 Jouni Järvinen 2014-10-25 18:59:22 UTC
Unable to reproduce on 4.3.3.1 on Window$ 7 Ultimate x64.
Comment 20 tommy27 2014-10-25 19:13:20 UTC
tested under Win7x64
I still reproduce bug with 4.3.2.2 with same look as in attachment 98677 [details]

with 4.4.0.0.alpha1+ (*) the bullets in the pptx are considerably smaller than odp

(*) Build ID: 6ba8b7f5eacac969e4781d63718083a05491b1bc
TinderBox: Win-x86@42, Branch:master, Time: 2014-10-24_02:23:51

@Jouni Järvinen  
is 4.3.3.1 preserving the same shape and size of bullets?
Comment 21 Jouni Järvinen 2014-10-25 19:52:45 UTC
(In reply to tommy27 from comment #20)
> @Jouni Järvinen  
> is 4.3.3.1 preserving the same shape and size of bullets?

Yes, no change whatsoever.
Comment 22 Jouni Järvinen 2014-10-25 19:55:51 UTC
Created attachment 108415 [details]
The test file as PPTX after saving using LO 4.3.3.1

This is the same test file saved as PPTX on LO 4.3.3.1 (Window$ 7 Ultimate x64), but this is it saved for second time since I deleted the one I created at first.
Comment 23 Jouni Järvinen 2014-10-25 20:11:48 UTC
Although that attachment is the test file saved for second time and opened for second time, the results are identical.
Comment 24 A (Andy) 2015-02-09 22:53:51 UTC
*** Bug 89270 has been marked as a duplicate of this bug. ***
Comment 25 Luke 2015-04-18 08:22:11 UTC
Created attachment 114874 [details]
ODP file correctly converted PPTX by PowerPoint

If you roundtrip this file in Impress, it will remove the bullets just like the original ODP version.
Comment 26 Luke 2015-05-12 03:02:40 UTC
Adding priyanka who's working on exporting bullets in PPTX.
Comment 27 Matthew Francis 2015-08-13 07:58:15 UTC
*** Bug 89525 has been marked as a duplicate of this bug. ***
Comment 28 Matthew Francis 2015-08-13 08:06:19 UTC
*** Bug 91587 has been marked as a duplicate of this bug. ***
Comment 29 Matthew Francis 2015-08-13 08:07:53 UTC
*** Bug 91844 has been marked as a duplicate of this bug. ***
Comment 30 Commit Notification 2015-08-25 12:00:02 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=65a66d41fd0e13d0aad9df935091b731b4af650a

Fix tdf#77881,tdf#80520,tdf#89525 bulllets lost issue.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 31 Julien Nabet 2015-09-03 18:25:38 UTC
Just for the record, I submitted a backport for 5.0, see https://gerrit.libreoffice.org/#/c/18318/
(there were some slight conflicts to solve)
Comment 32 Commit Notification 2015-09-04 01:35:19 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=382bdb8ea1a1aca10752e9124f4fb6bef9e755c8&h=libreoffice-5-0

Fix tdf#77881,tdf#80520,tdf#89525 bulllets lost issue.

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 33 Julien Nabet 2015-09-04 05:10:36 UTC
Perhaps may we consider this one as FIXED since I think last version of 4.4, 4.4.6 will be only for crashers.
Anyway, we can remove the backport request for 5.0 branch.
Comment 34 Luke 2015-09-04 10:03:04 UTC
Verifed Fixed with Version: 5.1.0.0.alpha1+
Build ID: 9a8a4442fd6368c20cf6a3d7efa3bd42962ee12f

Exported files open correctly now in both Impress and PowerPoint.

Thank you Mark Hung! This is huge.
Comment 35 steve -_- 2015-09-05 07:12:43 UTC
Verified as of comment 34.
Comment 36 Timur 2015-11-09 12:30:01 UTC
While 5.1+ is fine, 5.0.3 is not, although it's set as target.
Comment 37 Mark Hung 2015-11-09 13:52:18 UTC
It also needs 43679f94b45f4d9e120c64a3fb5cc3ee77f12b11 to fix this issue.  I didn't notice while splitting the original commit into 65a66d41fd0e13d0aad9df935091b731b4af650a and 43679f94b45f4d9e120c64a3fb5cc3ee77f12b11 for review.
Comment 38 Timur 2015-11-12 17:16:40 UTC
Can you please also backport to 4.4.7? Thank you.
Comment 39 Julien Nabet 2015-11-12 19:05:54 UTC
Gerrit review on 4.4 branch:
https://gerrit.libreoffice.org/#/c/19937/1
Comment 40 Julien Nabet 2015-11-12 19:12:16 UTC
For 4.4.7 specifically: https://gerrit.libreoffice.org/#/c/19938/

Now, I don't know if there'll be enough people to approve it knowing that normally, for branch almost in EOL, only very important bugfixes are cherry-picked
Comment 41 Commit Notification 2015-11-24 12:02:47 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=84892a9dc80917c1ca45c6eed356bfb38e8b81fb&h=libreoffice-4-4

Fix tdf#77881,tdf#80520,tdf#89525 bulllets lost issue.

It will be available in 4.4.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 42 Commit Notification 2015-11-24 17:23:48 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-4-4-7":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c54c54d9b95e15dc7179eb0399c242295b1dbf26&h=libreoffice-4-4-7

Fix tdf#77881,tdf#80520,tdf#89525 bulllets lost issue.

It will be available in 4.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.